%define workgroup FnaluBatch
%define workgrouppath x86_64/sites/Fermi/workgroups
%define baseversion lts304
%define realversion lts304
%define release 1
%define sourcepath /export/linux/fermi
 
Summary: The %{workgroup} workgroup tag and files
Name: %{workgroup}-tree
Version: %{baseversion}
Release: %{release}
License: GPL
Group: Fermi
Requires: %{workgroup}-tag
BuildRoot: %{_tmppath}/%{name}-root

%description 
This workgroup creates the workgroup tag file, as well as installs the 
workgroup directory tree.

%install
mkdir -p $RPM_BUILD_ROOT/etc
/bin/cp -rp %{sourcepath}/%{realversion}/%{workgrouppath}/%{workgroup} $RPM_BUILD_ROOT/etc/

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -fr $RPM_BUILD_ROOT

%post
#Determin if we are being run inside of yum
PARENT="$(cat /proc/self/stat | cut -d' ' -f5)"
grep -q yum /proc/$PARENT/cmdline
if [ $? -eq 0 ] ; then
	#We are being run inside of yum, do operations
	# Determine if we have a /etc/%{workgroup}/scripts/before.rpms.yum.sh script to run and if so run it.
	cd / 
	if [ -x /etc/%{workgroup}/scripts/before.rpms.yum.sh ] ; then
	   /etc/%{workgroup}/scripts/before.rpms.yum.sh  > /etc/%{workgroup}/before.rpms.log 2>&1 
	fi
	
	# Install the workgroup rpms now,  we first check to see if we have rpms
	# and if we do we install them.  Note there are 2 different areas that
	# RPMS can be in.  RPMS/ are installed with -U and RPMSI/ with -i
	# They both have --force and --nodeps so that we are sure they will go in
	# It is up to the workgroup maintainer to check that that they work
	cd / 
	if [ -d /etc/%{workgroup}/RPMS ] ; then
	   ls /etc/%{workgroup}/RPMS/*.rpm > /tmp/rpmfiles 2> /dev/null
	   if [ -s /tmp/rpmfiles ] ; then
	      cd /etc/%{workgroup}/RPMS
	      rpm -U --force --nodeps *.rpm  >& /etc/%{workgroup}/workgroup.rpm.log
	   fi
	fi
	cd /
	if [ -d /etc/%{workgroup}/RPMSI ] ; then
	   ls /etc/%{workgroup}/RPMSI/*.rpm > /tmp/rpmfiles.i 2> /dev/null
	   if [ -s /tmp/rpmfiles.i ] ; then
	      cd /etc/%{workgroup}/RPMSI
	     rpm -i --force --nodeps *.rpm  >> /etc/%{workgroup}/workgroup.rpm.log 2>&1
   fi
	fi  

	touch /etc/%{workgroup}/after.rpms.log
	# Determine if we have a /etc/%{workgroup}/scripts/after.rpms.yum.sh script to run and if so run it.
	if [ -x /etc/%{workgroup}/scripts/after.rpms.yum.sh ] ; then
	   ( /etc/%{workgroup}/scripts/after.rpms.yum.sh  >> /etc/%{workgroup}/after.rpms.log 2>&1 )
	else
	   echo "No after.rpms.yum.sh found" >> /tmp/after.rpms.log 2>&1
	fi
fi

%files
/etc/*
